
ChiliProject - Task # 52: Setup email accounts

Status: Closed Priority: Normal
Author: Eric Davis Category: ChiliProject - Organization
Created: 2011-01-12 Assignee: Eric Davis
Updated: 2011-01-21 Due date:
Remote issue URL:
Description: We will need a few email accounts for the project (all at chiliproject.org):

* project - outbound SMTP, inbound IMAP (for replying to project issues)
* admin - shared IMAP, administration stuff (domains, accounts, etc)
* security - shared IMAP, security reports (#37)

Anything else?

History
2011-01-12 03:11 pm - Eric Davis
- Target version set to Public Launch

2011-01-13 02:31 pm - Holger Just
I could either setup the accounts on my server or we could use Google apps (which is free for up to 50 accounts, see the 
"comparison":http://www.google.com/apps/index.html).

As I don't want to end on blacklists for potential spam, I would prefer the Google option.

2011-01-13 02:47 pm - Eric Davis
I'd rather have an outsourced provider for our email. Email is so cheap to outsource, there is no reason we should run our own.

I use Rackspace for my business email (~$1/address) but Google Apps is fine too.

2011-01-13 02:55 pm - Felix Schäfer
Outsourced = less overhead for us, so I'm all for it, and though I slightly dislike gmail for this label strangeness, I don't care much.

2011-01-13 02:56 pm - Muntek Singh
I vote google apps.

2011-01-13 02:58 pm - Holger Just
Well, I don't use the gmail GUI (and you don't have to too :) ). But for pushing mails through it, it's fine.

2011-01-13 04:28 pm - Holger Just
Okay, I setup the google apps. Question now: Do we want personal accounts for each contributor / developer, only for infrastructure team people or for 
nobody?

For now, there exists only the admin@... account.

2011-01-13 04:34 pm - Eric Davis
I don't think personal accounts are needed.

2011-01-14 12:19 am - Wieland Lindenthal
@Holger: Keep in mind that Gmail-Accounts are only free up to a limit of 50 users.

Anyways, I agree with Eric. I do not think that an E-Mail-Adress is needed. I understand open source projects as a bunch of individuals that already 
have their own address.

2011-01-14 12:31 am - Felix Schäfer
I don't think we need more addresses than the security and infrastructure lists and an address for incoming mail to chiliproject.org. Maybe 
chili@chiliproject.org? :-P

2011-01-14 04:00 pm - Holger Just
I just setup the security and project account.

Although I would propose to turn security@... into a group so all related user can be added to that group and receive the mails to their existing 
accounts. That way we could reduce the hassle of a shared IMAP account.

2011-01-14 04:02 pm - Holger Just
- Assignee changed from Muntek Singh to Holger Just

2011-01-15 12:45 am - Felix Schäfer
Holger Just wrote:
> Although I would propose to turn security@... into a group so all related user can be added to that group and receive the mails to their existing 
accounts. That way we could reduce the hassle of a shared IMAP account.

+1

2011-01-18 09:37 am - Eric Davis
How does Google Apps use "groups"? If that will let me manage a list of email addresses to forward mail to, that will work perfectly for security@.

2011-01-20 01:53 am - Eric Davis
Holger:

Can we chat tomorrow (2011-01-20) so you can show me how the email accounts are setup? They are the next thing on our [[Public Launch List]].

2011-01-20 06:19 am - Muntek Singh
Eric Davis wrote:
> How does Google Apps use "groups"? If that will let me manage a list of email addresses to forward mail to, that will work perfectly for security@.

This is exactly what this is, tomorrow when you want to chat ping both myself and Holger, as we both can walk you through it.

2011-01-20 11:10 pm - Eric Davis
- Assignee changed from Holger Just to Eric Davis

- Status set to In Progress

The project, admin, and security email account are now setup. I'll be setting up the project account to accept incoming email next.

2011-01-20 11:43 pm - Eric Davis
- Tracker changed from Task to Bug

Test reply

2011-01-20 11:48 pm - Eric Davis
- Tracker changed from Bug to Task

2011-01-20 11:50 pm - Eric Davis
- Tracker changed from Task to Bug

Another attempt to update without changing the tracker

2011-01-20 11:55 pm - Eric Davis
- Tracker changed from Bug to Task

2011-01-21 12:00 am - Eric Davis
- Tracker changed from Task to Bug

Another test, this time without the default tracker= and removing
tracker override.

2011-01-21 12:02 am - Eric Davis
- Tracker changed from Bug to Task

- Status changed from In Progress to Closed

Turned off incoming emails, there is a bug that is setting them to the first tracker (Bug).

All other emails are setup.
